
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>利用MSXML解析XML文本 / iVAN</title>

    <meta name="description" content="利用MSXML解析XML文本 xml   一.引言 &lt;?xml:namespace prefix = o ns = &quot;urn:schemas-microsoft-com:office:office&quot; /&gt;   当前Web上流行的脚本语言是以HTML为主的语言结构,HTML是一种标记语言,而不是一种编程语言,主要的标记是针对显示,而不是针对文档内容本身结构的描述的.也就是说,机器本身是不能够解析它的内容的,所以就出现了XML语言. XML(eXtensibleMarkup Language)语言 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">利用MSXML解析XML文本</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>xml</p>
<h3> </h3>
<p>一、引言</p>
<p>&lt;?xml:namespace prefix = o ns = "urn:schemas-microsoft-com:office:office" /&gt;</p>
<p> </p>
<p>　　当前Web上流行的脚本语言是以HTML为主的语言结构，HTML是一种标记语言，而不是一种编程语言，主要的标记是针对显示，而不是针对文档内容本身结构的描述的。也就是说，机器本身是不能够解析它的内容的，所以就出现了XML语言。</p>
<p>　　XML(eXtensibleMarkup Language)语言是SGML语言的子集，它保留了SGML主要的使用功能，同时大大缩减了SGML的复杂性。XML语言系统建立的目的就是使它不仅能够表示文档的内容，而且可以表示文档的结构，这样在同时能够被人类理解的同时，也能够被机器所理解。XML要求遵循一定的严格的标准。XML分析程序比HTML浏览器更加要挑剔语法和结构，XML要求正在创建的网页正确地使用语法和结构，而不是像HTML一样，通过浏览器推测文档中应该是什么东西来实现HTML的显示，XML使得分析程序不论在性能还是稳定性方面都更容易实现。XML文档每次的分析结果都是一致的，不像HTML，不同的浏览器可能对同一个HTML作出不同的分析和显示。同时因为分析程序不需要花时间重建不完整的文档，所以它们能比同类HTML能更有效地执行其任务。它们能全力以赴地根据已经包含在文档中的那个树结构建造出相应的树来，而不用在信息流中的混合结构的基础上进行显示。</p>
<p>　　XML标准是对数据的处理应用，而不是只针对Web网页的。任何类型的应用都可以在分析程序的上面进行建造，浏览器只是XML的一个小的组成部分。当然，浏览仍旧极其重要，因为它为XML工作人员提供用于阅读信息的友好工具。但对更大的项目来说它就不过是一个显示窗口。因为XML具有严格的语法结构，所以我们甚至可以用XML来定义一个应用层的通讯协议，比如互联网开放贸易协议(Internet Open Trading Protocol)就是用XML来定义的。从某种意义上说，以前我们用BNF范式定义的一些协议和格式从原则上说都可以用XML来定义。实际上，如果我们有足够的耐心，我们完全可以用XML来定义一个C++语言的规范。</p>
<p>　　当然，XML允许大量HTML样式的形式自由地开发，但是它对规则的要求更加严格。XML主要有三个要素：DTD(Document Type Declaration-文档类型声明)或XML Schema(XML大纲)、XSL(eXtensible Stylesheet Language-可扩展样式语言)和XLink(eXtensibleLink Language-可扩展链接语言)。DTD和XML大纲规定了XML文件的逻辑结构，定义了XML文件中的元素、元素的属性以及元素和元素的属性之间的关系；Namespace(名域)实现统一的XML文档数据表示以及数据的相互集成；XSL是用于规定XML文档呈现样式的语言，它使得数据与其表现形式相互独立，比如XSL能使Web浏览器改变文档的表示法，例如数据的显示顺序的变化，不需要再与服务器进行通讯。通过改变样式表，同一个文档可以显示得更大，或者经过折叠只显示外面的一层，或者可以变为打印的格式。而XLink 将进一步扩展目前Web上已有的简单链接。</p>
<p> </p>
<p>二、实现XML解析的说明</p>
<p> </p>
<p>　　从理论上说，根据XML的格式定义，我们可以自己编写一个XML的语法分析器，但是实际上微软已经给我们提供了一个XML语法解析器，如果你安装了IE5.0以上版本的话，实际上你就已经安装了XML语法解析器。可以从微软站点(www.microsoft.com)下载最新的MSXML的SDK和Parser文件。它是一个叫做MSXML.DLL的动态链接库，最新版本为msxml3，实际上它是一个COM对象库，里面封装了所有进行XML解析所需要的所有必要的对象。因为COM是一种以二进制格式出现的和语言无关的可重用对象。所以你可以用任何语言(比如VB，VC，DELPHI，C++ Builder甚至是脚本语言等等)对它进行调用，在你的应用中实现对XML文档的解析。下面的关于XML文档对象模型的介绍是基于微软最新的msxml3为基础进行的。</p>
<p> </p>
<p>三、XML文档对象(XML DOM)模型分析</p>
<p> </p>
<p>　　XML DOM对象提供了一个标准的方法来操作存储在XML文档中的信息，DOM应用编程接口(API)用来作为应用程序和XML文档之间的桥梁。DOM可以认为是一个标准的结构体系用来连接文档和应用程序(也可以是剧本语言)。　　　　　MSXML解析器允许你装载和创建一个文档，收集文档的错误信息，得到和操作文档中的所有的信息和结构，并把文档保存在一个XML文件中。DOM提供给用户一个接口来装载、到达和操作并序列化XML文档。DOM提供了对存储在内存中的XML文档的一个完全的表示，提供了可以随机访问整个文档的方法。DOM允许应用程序根据MSXML解析器提供的逻辑结构来操作XML文档中的信息。</p>
<p>　　利用MSXML所提供的接口来操作XML。实际上MSXML解析器根据XML文档生成一个DOM树结构，它能够读XML文档并根据XML文档内容创建一个节点的逻辑结构，文档本身被认为是一个包含了所有其他节点的节点。DOM使用户能够把文档看成是一个有结构的信息树，而不是简单的文本流。这样即使不知道XML的语义细节，应用程序或者是脚本也能够方便地操作该结构。DOM包含两个关键的抽象：一个树状的层次、另一个是用来表示文档内容和结构的节点集合。树状层次包括了所有这些节点，节点本身也可以包含其他的节点。这样的好处是对于开发人员来说，他可以通过这个层次结构来找到并修改相应的某一个节点的信息。DOM把节点看成是一个通常的对象，这样就有可能创建一个剧本来装载一个文档，然后遍历所有的节点，显示感兴趣的节点的信息。注意节点可以有很多中具体的类型，比如元素、属性和文本都可以认为是一个节点。</p>
<p>　　微软的MSXML解析器读一个XML文档，然后把它的内容解析到一个抽象的信息容器中称为节点(NODES)。这些节点代表文档的结构和内容，并允许应用程序来读和操作文档中的信息而不需要显示知道的XML的语义。在一个文档被解析以后，它的节点能够在任何时候被浏览而不需要保持一定的顺序。对开发人员来说，最重要的编程对象是DOMDocument。DOMDocument对象通过暴露属性和方法来允许浏览、查询和修改XML文档的内容和结构，每一个接下来的对象暴露自己的属性和方法，这样就能够收集关于对象实例的信息，操作对象的值和结构，并导航到树的其他对象上去。MSXML.DLL所包括的主要的COM接口有：</p>
<p>　　(1)DOMDocument DOMDocument对象是XML DOM的基础，你可以利用它所暴露的属性和方法来允许你浏览、查询和修改XML文档的内容和结构。DOMDocument表示了树的顶层节点。它实现了DOM文档的所有的基本的方法并且提供了额外的成员函数来支持XSL和XSLT。它创建了一个文档对象，所有其他的对象都可以从这个文档对象中得到和创建。</p>
<p>　　(2)IXMLDOMNodeIXMLDOMNode是文档对象模型(DOM)中的基本的对象，元素，属性，注释，过程指令和其他的文档组件都可以认为是IXMLDOMNode，事实上，DOMDocument对象本身也是一个IXMLDOMNode对象。　　　　　　　　　　(3)IXMLDOMNodeList IXMLDOMNodeList实际上是一个节点(Node)对象的集合，节点的增加、删除和变化都可以在集合中立刻反映出来，可以通过"for...next"结构来遍历所有的节点。(4)IXMLDOMParseError IXMLDOMParseError接口用来返回在解析过程中所出现的详细的信息，包括错误号，行号，字符位置和文本描述。下面主要描述一个DOMDocument对象的创建过程，这里用VC描述创建一个文档对象的过程。</p>
<p>HRESULT hr;</p>
<p>IXMLDomDocument* pXMLDoc;</p>
<p>IXMLDOMNode* pXDN;</p>
<p>Hr=CoInitialize(NULL); file://COM的初始化</p>
<p>file://得到关于IXMLDOMDocument接口的指针pXMLDOC。</p>
<p>hr=CoCreateInstance(CLSID_DOM Document,NULL,CLSCTX_INPPROC_SERVER,</p>
<p>IID_IXMLDOMDocument,(void**) &amp;pXMLDoc);</p>
<p>file://得到关于IXMLDOMNode接口的指针pXDN。</p>
<p>hr=pXMLDoc-&gt;QueryInterface (IID_IXMLDOMNode,(void**)&amp;pXDN);</p>
<p>　　在MSXML解析器使用过程中，我们可以使用文档中的createElement方法来创建一个节点装载和保存XML文件。通过load或者是loadXML方法可以从一个指定的URL来装载一个XML文档。Load(LoadXML)方法带有两个参数：第一个参数xmlSource表示需要被解析的文档，第二个参数isSuccessful表示文档装载是否成功。Save方法是用来把文档保存到一个指定的位置。Save方法有一个参数destination用来表示需要保存的对象的类型，对象可以是一个文件，一个ASP Response方法，一个XML文档对象，或者是一个能够支持持久保存(persistence)的客户对象。下面是save方法使用的一个简单的例子(具体程序请参见http://www.swm.com.cn/swm/200101/利用MSXML解析XML文本)。同时，在解析过程中，我们需要得到和设置解析标志。利用不同的解析标志，我们可能以不同的方法来解析一个XML文档。XML标准允许解析器验证或者不验证文档，允许不验证文档的解析过程跳过对外部资源的提取。另外，你可能设置标志来表明你是否要从文档中移去多余的空格。为了达到这个目的，DOMDocument对象暴露了下面几个属性，允许用户在运行的时候改变解析器的行为：</p>
<p>　　(1)Async(相对于C++是两个方法，分别为get_async和put_async)</p>
<p>　　(2)ValidateOnparse(相对于C++是两个方法，分别为get_validate OnParse和put_validateOnParse)</p>
<p>　　(3)ResolveExternals(相对于C++是两个方法，分别为get_ Resolve Externals和put_ResolveExternals)</p>
<p>　　(4)PersercveWhiteSpace(相对于C++是两个方法，分别为get_ Perser cveWhiteSpace和put_ Persercve WhiteSpace)</p>
<p>　　每一个属性可以接受或者返回一个Boolean值。缺省的，anync,validateOnParse,resolveExternals的值为TRUE，perserveWhiteSpace的值跟XML文档的设置有关，如果XML文档中设置了xml:space属性的话，该值为FALSE。</p>
<p>　　同时在文档解析过程中可以收集一些和文档信息的信息，实际上在文档解析过程中可以得到以下的信息：</p>
<p>　　(1)doctype(文档类型)：实际上是和用来定义文档格式的DTD文件。如果XML文档没有相关的DTD文档的话，它就返回NULL。</p>
<p>　　(2)implementation(实现)：表示该文档的实现，实际上就是用来指出当前文档所支持的XML的版本。</p>
<p>　　(3)parseError(解析错误)：在解析过程中最后所发生的错误。</p>
<p>　　(4)readyState(状态信息)：表示XML文档的状态信息，readyState对于异步使用微软的XML解析器来说的重要作用是提高了性能，当异步装载XML文档的时候，你的程序可能需要检查解析的状态，MSXML提供了四个状态，分别为正在状态，已经状态，正在解析和解析完成。</p>
<p>　　(5)url(统一资源定位)：关于正在被装载和解析的XML文档的URL的情况。注意如果该文档是在内存中建立的话，这个属性返回NULL值。</p>
<p>　　在得到文档树结构以后，我们可以操作树中的每一个节点，可以通过两个方法得到树中的节点，分别为nodeFromID和getElementsByTagName。nodeFromID包括两个参数，第一个参数idString用来表示ID值，第二个参数node返回指向和该ID相匹配的NODE节点的接口指针。注意根据XML的技术规定，每一个XML文档中的ID值必须是唯一的，而且一个元素(element)仅且只能和一个ID相关联。getElementsByTagName方法有两个参数，第一个参数tagName表示需要查找的元素(Element)的名称，如果tagName为"*"的话返回文档中所有的元素(Element)。第二个参数为resultList,它实际是指向接口IXMLDOMNodeList的指针，用来返回和tagName(标签名字)相关的所有的Node的集合。</p>
<p>　　下面是一个简单的例子(具体程序请参见http://www.swm.com.cn/swm/200101/利用MSXML解析XML文本)。最后讨论一下如何来创建新的节点，实际上可以通过方法createNode来创建一个新的节点。CreateNode包括四个参数，第一个参数Type表示要创建的节点的类型，第二个参数name表示新节点的nodeName的值，第三个参数namespaceURI表示该节点相关的名字空间，第四个参数node表示新创建的节点。注意可以通过使用已经提供的类型(Type)，名称(name)和名字空间(nodeName)来创建一个节点。当一个节点被创建的时候，它实际上是在一个名字空间范围(如果已经提供了名字空间的话)内创建的。如果没有提供名字空间的话，它实际上是在文档的名字空间范围内创建的。</p>
<p> </p>
<p>四、利用MSXML进行XML文档分析的简单实例</p>
<p> </p>
<p>　　为了说明如何在VC中使用XML DOM模型，这里显示了一个简单的实例程序(具体程序请参见http://www.swm.com.cn/swm/200101/利用MSXML解析XML文本)，是一个ConsoleApplication。下面是主要的程序代码，本代码用来在一个XML文档中定位一个特殊的Node节点，并插入一个新的子节点。</p>
<p> </p>
<p>总结</p>
<p> </p>
<p>　　XML文档因为有着比HTML严格的多的语法要求，所以使用和编写一个XML解析器要比编写一个HTML的解析器要容易得多。同时因为XML文档不仅可以标记文档的显示属性，更重要的是它标记了文档的结构和包含信息的特征，所以可以方便地通过XML解析器来获取特定节点的信息并加以显示或修改，方便了用户对XML文档的操作和维护。同时我们需要注意的是XML是一种开放的结构体系并不依赖于任何一家公司，所以开发基于XML的应用必然会得到绝大多数软件开发平台的支持。另外，可以看到，像微软这样的软件开发主流企业也把目光定位在基于XML+COM的体系上，无论是微软的Office系列、Web服务器和浏览器还是数据库产品(SQL Server)都已经开始支持基于XML的应用。通过XML来定制应用程序的前端，COM来实现具体的业务对象和数据库对象，使系统具有更加灵活的扩展性和维护性.</p>
<p> </p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:32:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e6%a1%a3/" title="文档">文档</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%84/" title="结构">结构</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/%e8%8a%82%e7%82%b9/" title="节点">节点</a>, <a href="https://www.iamivan.net/tag/xml%e8%a7%a3%e6%9e%90/" title="xml解析">xml解析</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af%e8%a7%a3%e6%9e%90/" title="信息解析">信息解析</a>, <a href="https://www.iamivan.net/tag/vc%e8%a7%a3%e6%9e%90xml/" title="vc解析xml">vc解析xml</a>, <a href="https://www.iamivan.net/tag/xml%e5%af%b9%e8%b1%a1%e8%a7%a3%e6%9e%90/" title="xml对象解析">xml对象解析</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1%e8%a7%a3%e6%9e%90/" title="对象解析">对象解析</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a3%e6%9e%90xml%e6%96%87%e6%a1%a3/" title="解析XML文档">解析XML文档</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>利用MSXML解析XML文本的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp58DDM.html" rel="bookmark">VC&plus;&plus;中利用MSXML解析XML文档</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				c++|xml 四.程序实现 下面通过一个具体的实例来说明在VC++中如何利用MSXML解析XML文档. (1)源XML文档(xmlfile.xml)如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;GB2312&quot;?&gt; &lt;Device id=&quot;10041&quot; name=&quot;设备1&quot;&gt; &lt;Type&gt;13&lt;/Type&gt; &lt;TypeName&gt;保护&lt;/Ty			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MW33rM.html" rel="bookmark">Php利用java解析xml</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml 作者: 雨伞首先如果你对JAVA不感兴趣或者说你的主机不支持JAVA或者你也不打算学习的话请不要浪费时间在这里. 请先安装JAVA的执行环境与PHP结合,具体参考http://www.phpx.com/happy/thr78795.html 或者下载http://www.javax.org/download/php_java.rar里面我写有个readme.txt说明文档,这个压缩包是个简单的例子. 要下载我的JAVA源码请到http://www.javax.org/download/J			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAEYeZM.html" rel="bookmark">【IOS-COCOS2D-X 游戏开发之九】COCOS2DX利用CCSAXPARSER解析XML数据&amp;amp&semi;CCMUTABLEDICTIONARY使用与注意！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本站文章均为 李华明Himi 原创,转载务必在明显处注明:  转载自[黑米GameDev街区] 原文链接: http://www.himigame.com/iphone-cocos2dx/694.html 本章Himi给大家分享如何在Cocos2dX中解析xml数据:对于数据存取有很多方式,流文件,plist,xml等,那么为了跨平台更好的支持,Himi想到之前写的CCUserDefault 存储数据一节,Cocos2dx自带的存储类,一旦存入数据都会以xml格式进行保存,适用于iOS.Andr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgEo5z.html" rel="bookmark">JS解析XML文件和XML字符串详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 JS解析XML文件 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 &lt;script type='text/javascript'&gt; loadXML = function(xmlFile){ var xmlDoc=null; //判断浏览器的类型 //支持IE浏览器 if(!window.DOMParser &amp;&amp; windo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLk53b.html" rel="bookmark">Python中使用ElementTree解析XML示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python中使用ElementTree解析XML示例,本文同时讲解了XML基本概念介绍.XML几种解析方法和ElementTree解析实例,需要的朋友可以参考下 [XML基本概念介绍] XML 指可扩展标记语言(eXtensible Markup Language). XML 被设计用来传输和存储数据. 概念一: 代码如下: # foo元素的起始标签 # foo元素的结束标签 # note: 每一个起始标签必须有对应的结束标签来闭合, 也可以写成 概念二: 代码如下: #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmO3Lp.html" rel="bookmark">JS解析XML文件和XML字符串详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JS解析XML文件 &lt;script type='text/javascript'&gt; loadXML = function(xmlFile){ var xmlDoc=null; //判断浏览器的类型 //支持IE浏览器 if(!window.DOMParser &amp;&amp; window.ActiveXObject){ var xmlDomVersions = ['MSXML.2.DOMDocument.6.0','MSXML.2.DOMDocument.3.0','Microsoft.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVDvNkM.html" rel="bookmark">JS操作XML实例总结&lpar;加载与解析XML文件、字符串&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS操作XML的方法.分享给大家供大家参考,具体如下: 我的xml文件Login.xml如下. &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?&gt; &lt;Login&gt; &lt;Character&gt; &lt;C Text=&quot;热血&quot; Value=&quot;0&quot;&gt;&lt;/C&gt; &lt;C Text=&quot;弱气&quot; Value=&quot;1&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPx708p.html" rel="bookmark">javascript中加载并解析XML字符串&sol;xml文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,我们需要加载这个xml文件,js中加载xml文件,是通过XMLDOM来进行的.  代码如下 复制代码 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?&gt; &lt;DongFang&gt;   &lt;Company&gt;     &lt;cNname&gt;1&lt;/cNname&gt;     &lt;cIP&gt;1&lt;/cIP&gt;   &lt;/Company&gt;   &lt;Company&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNQ6PJb.html" rel="bookmark">深入解读Python解析XML的几种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在XML解析方面,Python贯彻了自己&quot;开箱即用&quot;(batteries included)的原则.在自带的标准库中,Python提供了大量可以用于处理XML语言的包和工具,数量之多,甚至让Python编程新手无从选择. 本文将介绍深入解读利用Python语言解析XML文件的几种方式,并以笔者推荐使用的ElementTree模块为例,演示具体使用方法和场景.文中所使用的Python版本为2.7. 什么是XML? XML是可扩展标记语言(Extensible Markup Languag			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze6Xwb.html" rel="bookmark" class="title">mfc 界面 控件-mfc的界面设计和控件使用问题</a>
					<div>
						问题描述 mfc的界面设计和控件使用问题 现在有多个指标,并且每个指标的评分规则都有多行.如果全部显示在一个界面上会很拥挤,如何实现当我点击一个图标时,会出现一个下拉框,显示相应指标的全部评分规则?求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Eg4z.html" rel="bookmark" class="title">JavaScript的&OpenCurlyDoubleQuote;闭包&rdquo;到底是什么&lpar;2&rpar;</a>
					<div>
						我的上篇博客标题不对,造成一些误解.我认为博客的宗旨不是背教科书,而是分享研发心得.我的上篇标题因该改成&quot;JavaScript 闭包的一个议题:它对outer scope 的影响&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgQD1z.html" rel="bookmark" class="title">网页制作小技巧：揪出网页无效链接</a>
					<div>
						技巧|链接|网页 在我们浏览网站的时候,一定都遇到过页面上带红叉的无效图片或者&quot;无法找到网页&quot;的提示,出现如此现象一般都是因为链接文件的位置发生变化.被误删除或者文件名的拼写错误造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnjJ0p.html" rel="bookmark" class="title">在PHP中发送MIME邮件</a>
					<div>
						综述:编写邮件系统或邮件列表程序是PHP应用的一个大的分支,既管PHP提供了简单的用于发email的函数,但在实际应用中,会涉及到发送带附件的邮件.测试用户输入的email地址的有效性,尤有必要用专门 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKqd5p.html" rel="bookmark" class="title">VC颜色选择组合框</a>
					<div>
						本文代码执行效果: 大家对Word一定非常熟悉吧,它里面的东东可真不少,不管是活泼可爱的&quot;大眼夹&quot;,还是各种平面造型的Windows控件我都很喜欢.那么这次就让我们来做个非常常用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPD6GM.html" rel="bookmark" class="title">ADO VC&plus;&plus; Extensions入门</a>
					<div>
						ADO VC++ Extensions是ADO 2.0 版本提供的新接口,它支持不通过 VARIANT 便可将数据检索到本地的 C/C++ 数据类型中.此外,它还提供能简化接口使用过程的预处理宏,这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA6VKb.html" rel="bookmark" class="title">如何利用Photoshop将人像皮肤的皱纹、色斑修复</a>
					<div>
						  如何利用Photoshop将人像皮肤的皱纹.色斑修复 修复前后效果对比图 教程案例 修复前 修复后 美白修复可编辑图层 Step 1 首先在Photoshop中打开需要编辑的图像.图像的清晰度要比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j8gVb.html" rel="bookmark" class="title">利用js 进行输入框自动匹配字符的小例子</a>
					<div>
						html 复制代码 代码如下: &lt;p&gt;&lt;span style=&quot;font-size: 18px; &quot;&gt;输入框自动匹配字符~&lt;/span&gt;&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaoNvz.html" rel="bookmark" class="title">重置修改已经忘记的Windows 7登录密码</a>
					<div>
						  忘记windows登录密码是件悲催的事情,不过还好有方法重置密码,不用重装系统也能继续使用. 重置准备:一个windows 7安装介质(光盘和U盘都可以),如果你没有windows 7安装介质,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGPDjp.html" rel="bookmark" class="title">如何将pdf转换成word文档-pdf转换成word教程</a>
					<div>
						如何将pdf转换成word文档?大家都知道,现在上网找一份资源相当的简单,大家直接在百度文库或新浪网盘中进行搜索,就可以找到各种各样的下载资源,然而有时候我们也会碰到一些问题.小编就拿之前遇到的事情举 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAreVep.html" rel="bookmark" class="title">打开游戏程序提示&OpenCurlyDoubleQuote;应用程序无法正常启动0xc000007b&rdquo;怎么办</a>
					<div>
						  最近新安装了几个游戏,但是程序都打不开,均提示应用程序无法正常启动0xc000007b,什么原因啊,求帮助,要不几十G的游戏就白下载了. &quot;应用程序无法正常启动0xc000007b&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8jm2b.html" rel="bookmark" class="title">U盘打不开怎么办，是什么原因</a>
					<div>
						  一个U盘出问题了,插入U盘后电脑能显示,但双击它就提示要进行格式化,但就算点击格式化也并不能顺利完成.这就郁闷了,U盘就没救了吗?别急,看看下面是解决的. 一. 杀毒,提示没有病毒; 二. DOS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5onRab.html" rel="bookmark" class="title">Spark on yarn 动态资源配置</a>
					<div>
						一.YARN的配置  首先需要对YARN进行配置,使其支持Spark的Shuffle Service. 修改每台集群上的yarn-site.xml: - 修改 &lt;property&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkGZwb.html" rel="bookmark" class="title">slf4j 和 log4j合用的（Maven&rpar;配置&lpar;转&rpar;</a>
					<div>
						  简述:添加logger的日志输出,下面是配置信息供备忘 步骤:1. 在Maven的porn.xml 文件中添加dependency如下 &lt;dependency&gt; &lt;groupId ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ9Ndz.html" rel="bookmark" class="title">rgb-谁能给一份比较好的RGB和CMYK互相转换的算法？</a>
					<div>
						问题描述 谁能给一份比较好的RGB和CMYK互相转换的算法? 最好是对CMYK低分辨率支持的比较好的,因为我这里要求是CMYK每种颜色都量化成8个色阶.下面是我的代码,RGB转成CMYK后再转回来失真 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3Ankz.html" rel="bookmark" class="title">UTL&lowbar;FILE 包的使用详解</a>
					<div>
						UTL_FILE包可以用来读写操作系统上的文本文件,UTL_FILE提供了在客户端(FORM等等)和服务器端的文件访问功能. 创建测试目录:     新建一个command window:     创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQB8Lp.html" rel="bookmark" class="title">关于编写博客</a>
					<div>
						hexo的基本操作 缩写 | 全称 |功能 -|-|- hexo n &quot;new&quot;| hexo new &quot;new&quot; |新建文章名为new hexo p | hex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoG2yb.html" rel="bookmark" class="title">winform datagridview 多行显示问题</a>
					<div>
						问题描述 在不使用其他控件的前提下,能不能用datagridview做到这样的效果: 解决方案 解决方案二: 解决方案三:引用1楼porschev的回复: 合并单元格...参考.. 例子里的纵向合并是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAkyOM.html" rel="bookmark" class="title">cms查询系统（一）背景以及需求分析与设计</a>
					<div>
						本人想做一个cms查询框架,用于解决实际的业务问题,顺便锻炼下能力 1 背景介绍 在一个配置管理系统即cms系统中,有很多的实体,实体间有很多的关联关系,这些实体就是构建成了一张网.如下图所示:  目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7odPp.html" rel="bookmark" class="title">Java代码没有语法错误，但运行出错</a>
					<div>
						问题描述 Java代码没有语法错误,但运行出错 以下这段代码没有提示语法错误,却在运行时报错,求大神指教import java.io.*;import java.net.*;public class  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7nlaM.html" rel="bookmark" class="title">有没有潍坊&period;net公司招聘暑假实习生</a>
					<div>
						问题描述 山东科技职业学院大二学生,计算机应用专业.net开发方向因面临就业问题.打算在潍坊找一份暑假实习的工作.借此提前学习,积累工作经验.工作职务不限,最好提供住宿.(工资没有特别要求.)1596 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg3qwb.html" rel="bookmark" class="title">MFC字节数组怎么模仿string实现trim replace等运算符？</a>
					<div>
						问题描述 MFC字节数组怎么模仿string实现trim replace等运算符? MFC字节数组怎么模仿string实现trim replace等运算符?需要从字节数组中提取数据转换成float怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLn7OM.html" rel="bookmark" class="title">如何编程实现android中wifi休眠策略和&OpenCurlyDoubleQuote;始终连接数据业务&rdquo;的设置</a>
					<div>
						问题描述 由于项目特殊原因,要保持网路连接,不知用程序可否设置,请大牛们多指点啊					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNlJBM.html" rel="bookmark" class="title">java-Java面试题&comma;求解答！！</a>
					<div>
						问题描述 Java面试题,求解答!! Anonymous Inner Class (匿名内部类) 是否可以extends(继承)其它类,是否可以implements(实现)interface(接口)? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwA5BM.html" rel="bookmark" class="title">HDInsight HBase的概述</a>
					<div>
						HDInsight HBase的概述 什么是HBase的? HBase的是建立在Hadoop的Apache的开源的NoSQL数据库,提供了大量的非结构化和半结构化数据的随机存取和强大的一致性.它是仿照 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22Q5qb.html" rel="bookmark" class="title">墙里开花墙外香 一加手机刘作虎韩国演讲</a>
					<div>
						11月25日,刘作虎应邀参加韩国2014 StarUP Nations Summit大会,面对来自全球的创业者.媒体.投资人做了主题为一加,手机行业第三种可能性演讲, 并且在会上首次吐露自己创业11个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWvljM.html" rel="bookmark" class="title">答C语言初学者&mdash;&mdash;有些问题可以放一放</a>
					<div>
						[来信] 老师你好,我才接触C语言,现在对C语言很迷茫,自己上网查了一些资料也无头绪,现在想问老师几个问题. 1.C和C++到底有什么不同: 2.C++的教程能适用于C吗? 3.找不到一些比较好的入门 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QDXRM.html" rel="bookmark" class="title">vs2013 的窗体继承问题</a>
					<div>
						问题描述 在vs2010中可以直接继承某一个窗体但是到了vs2013中就不行了,只能继承某一个dll有什么方法还想以前一样能够继承窗体吗? 解决方案 解决方案二:不知道你怎么继承的,Vs2013可以继 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmkxVp.html" rel="bookmark" class="title">Java函数调用的一点疑惑，求Java大神解答</a>
					<div>
						问题描述 在Java,如果有两个函数如下:voidf(Integeri){}voidf(Floatf){} 如果调用f(1),JVM知道去调用第一个函数但是如果换成是下面两个函数voidf(Integ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW9RGz.html" rel="bookmark" class="title">傻傻的问一个关于时间处理的问题~~谢谢</a>
					<div>
						问题描述 在C#中要实现类似于JAVASript:setTimeout()的功能改怎么做~~~ 解决方案 解决方案二: mark解决方案三: 有Timer控件啊解决方案四: 引用2楼ojlovecd的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
